org.springframework.beans.factory.support

## Class DefaultBeanNameGenerator

- java.lang.Object
- - org.springframework.beans.factory.support.DefaultBeanNameGenerator

- All Implemented Interfaces:
    BeanNameGenerator

      public class DefaultBeanNameGenerator
      extends Object
      implements BeanNameGenerator

  Default implementation of the `BeanNameGenerator` interface, delegating to `BeanDefinitionReaderUtils.generateBeanName(BeanDefinition, BeanDefinitionRegistry)`.
  Since:
    2.0.3
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBeanNameGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry)` Generate a bean name for the given bean definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBeanNameGenerator

          public DefaultBeanNameGenerator()

  - ### Method Detail

    - #### generateBeanName

          public String generateBeanName(BeanDefinition definition,
                                BeanDefinitionRegistry registry)

      Description copied from interface: `BeanNameGenerator`
      Generate a bean name for the given bean definition.
      Specified by:
        `generateBeanName` in interface `BeanNameGenerator`
      Parameters:
        `definition` - the bean definition to generate a name for
        `registry` - the bean definition registry that the given definition is supposed to be registered with
      Returns:
        the generated bean name